// JGameEx18.java

import ch.aplu.jgamegrid.*;
import java.awt.Color;
import java.awt.event.KeyEvent;

public class JGameEx18 extends GameGrid
{
  public JGameEx18()
  {
    super(10, 10, 60, Color.red, false);
    BigFrog frog = new BigFrog();
    addActor(frog, new Location(0, 0));
    for (int i = 0; i < 6; i++)
      addActor(new Fly(), getRandomEmptyLocation());
    playSound(this, GGSound.DUMMY);
    addKeyListener(frog);
    show();
    doRun();
  }

  public static void main(String[] args)
  {
    new JGameEx18();
  }
}

